function L2=LaguerrePolN( n, alpha, sigma, X )
%LAGUERREFUNCN vraci vygenerovany zobecneny Laguerruv polynom stupne n
%n - stupen polynomu
%alpha - koeficient alpha
%sigma - koeficient sigma
%X - vektor casove osy

%L1=zeros(1,length(x)); L2=ones(1,length(x));
%for i=1:n
%    L0=L1;
%    L1=L2;
%    L2=((2.*i-1+alpha-x).*L1-(i-1+alpha).*L0)./i;
%end

%vypocet transformace
pocetX=length(X);
L1=zeros(1,pocetX);L2=ones(1,pocetX);
for i=1:n
    L0=L1;
    L1=L2;
    L2=((2.*i-1+alpha-(X.*sigma)).*L1-(i-1+alpha).*L0)./i;
end

end
